For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

account detail

get

https://pro-api.solscan.io/v2.0/account/detail

Get the details of an account

QUERY PARAMS

address

string

required

Solana wallet address

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

account

string

The address of this account

lamports

number

The number of lamports assigned to this account

type

string

The type of this account

executable

boolean

Boolean indicating if the account contains a program

owner_program

string

The address of the program this account has been assigned to

rent_epoch

number

The epoch at which this account will next owe rent

is_oncurve

boolean

Boolean indicating if the account is on curve or not

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples